@charset "UTF-8";
/* ==================================================
     Neues Layout   NaLaSu.de  2025
                    Status: in Entwicklung
                    Last mod.: 2025-03-15
   ================================================== */

/* --------------------------------------------------
        Allgemeine Grundeinstellungen                              
 ----------------------------------------------------*/

/* Neues Box Modell verwenden */
html {
    box-sizing: border-box;
}
*,
*::before,
*::after {
    box-sizing: inherit;
}
/* -------------------------- */

/* Links                      */
a:link,
a:visited {
    color: #272727;
}
a:hover,
a:focus,
a:active {
    background-color: yellow;
    color: #336699;
}

/* Datenbereich und Liste   n */
body {
    color: black;
    background-color: #ffffcf;
    font-family: 'Liberation Sans', Helvetica, 'Arial Nova', sans-serif;
    margin: 0;
}

ul {
    padding: 0;
}

hr {
    border: none;
    height: 1px;
    background-color: #000;
    box-shadow: 0 0 10px #000;
}

/* Gitter mit 10 Spalten      */
.grid {
    display: grid;
    grid-template-rows: 50px auto auto auto 80px;
    grid-template-columns: repeat(10, 10%);
}


/* ------------------------------------------------------------------
     CSS-Eigenschaften für  mobile Geräte (kleiner als 640 px)            
       + Alles in einer Spalte untereinander anordnen                                              
-------------------------------------------------------------------- */

.header {
    grid-column: 1 / 11;
    grid-row: 1 / 2;
    margin: 0;
    border: 2px solid blue;
    padding: 0em;
    background-color:  #ffffcf;
    color: blue;
    text-align: center;
}

/* Navigation                 */
.nav {
    grid-column: 1 / 11;
    grid-row: 2 / 3;
    border: 1px dotted orange;
    font-size: 1.2em;
}
.nav-ul {
    background-color: #ffffbf;
    margin: 0;
}
.nav-li {
    list-style: none;
    margin-left: 0;
}

.nav-ul a {
    margin: 0;
    border: 1px solid whitesmoke;
    padding: 0.6em 2rem;
    display: block;
}
.nav-ul a:link {
    text-decoration: none;
}
.nav-ul a:link,
.nav-ul a:visited {
    color: darkolivegreen;
}
.nav-ul a:hover,
.nav-ul a:focus,
.nav-ul a:active {
    background-color: #ffff7f;
    color: blue;
}
.nav-active {
    color: #000;
    background-color: #ffffbf;
}

.content {
    grid-column: 1 / 11;
    grid-row: 3 / 4;
    margin: 0;
    padding: 0 1rem 0 2rem;
}

.aside {
    grid-column: 1 / 11;
    grid-row: 4 / 5;
    margin: 0;
    border: 1px dotted orange;
    padding: 0 1rem 0 2rem;
    background-color: #ffffbf;
}

/* Fußbereich                 */
.footer {
    grid-column: 1 / 11;
    grid-row: 5 / 6;
    margin: 0;
    border-top: 1px solid blueviolet;
    padding: 0em;
    background-color: #ffffcf;
    color: navy;
    text-align: center;
}
.foot-ul {
    margin: 0em;
    background-color: #ffffbf;
}
.foot-li {
	background: #ffffaf;;
	display: inline;            /*  !!!  */
	margin: 1em;
    padding: 0;
}
.foot-ul a {
	display: inline-block;      /*  !!!  */
	margin: 0.5em;
    padding: 0.5em;
}
.foot-ul a:hover,
.foot-ul a:focus,
.foot-ul a:active {
    background-color: #ffff7f;
    color: blue;
}


/*  Rubriken-Übersicht  */

.rubr-ul {
    margin: 0em;
}
.rubr-li {
	background: #ffffaf;
    color: blue;
	display: inline;            /*  !!!  */
	padding: 0;
	margin: 0em;
}
.rubr-ul a {
	display: inline-block;      /*  !!!  */
    color: navy;
	padding: 0.4em;
	margin: 0.1em;
}
.rubr-me {
    color: blue;
    background-color: #ffffbf;
}

/* Rubriken-Block mit Einträgen */
.category {
    text-align: left;
    margin-bottom: 1.5em;
    font-family: 'Liberation Sans', Helvetica, 'Arial Nova', sans-serif;
}
.cat-titl {
	background: #ffffaf;
    color: blue;
    display: block;             /*  !!!  */
    margin-bottom: -0.5em;
    border-bottom: 1px solid navy;
    font-weight: bold;
    font-size: 1.2em;
}

.entry {
    display: block;             /*  !!!  */
    line-height: 1.2em;
    margin-bottom: -0.5em;
}
.ent-link {
    list-style: none;
    font-family: 'Liberation Serif', Times, 'Times New Roman', serif;
    font-weight: bolder;
    font-size: 1.1em;
/*    display: block;            */
}
.ent-desc {
    list-style: none;
/*    display: block;              */
}



/* Images                     */
.img-art {
    float: left;
    margin: 0 1em 0.2em 0;
    max-width: 35%;
    height: auto;
}

.img-side {
    float: left;
    margin: 0.1em 1em 0.2em 0.2em;
    max-width: 40%;
    height: auto;
}

.img-logo {
    max-width: 100%;
    height: fit-content;
}

.img-trees {
    max-width: 100%;
    height: auto;
}


/*-----------------------------------------------------   
     Tabletversion ab 640 Pixel                          
       640px / 16px/em = 40em  
       + 2 Spalten
         - Header und Navigation oben untereinander
		 - Hautpinhalt und Seitenleiste nebeneinander
		 - Fußleiste unten
------------------------------------------------------*/

@media screen and (min-width: 40em) {
    .header {
        text-align: right;
    }
    .content {
        grid-column: 1 / 8;
        grid-row: 3 / 4;
        padding: 0 1rem 0 2rem;
    }
    .aside {
        grid-column: 8 / 11;
        grid-row: 3 / 4;
        padding: 0 2rem 0 2rem;
        border-top: none;
    }
    .nav-ul {
        padding: 0 2rem;
        overflow: hidden;
    }
    .nav-li {
        float: left;
        display: inline-block;
        border: none;
        width: auto;
    }
    .nav-li-a {
        padding: 0.7em 1.2rem;
        display: inline-block;
    }
}


/*------------------------------------------------------------------
    Bildschirme ab 1024 Pixel                         
      1024px / 16px/em = 64em
      + 3 Spalten
        - Header oben
        - Navigation, Hauptinhalt und Seitenleisten nebeneinander
        - Fußleiste unten		
 ------------------------------------------------------------------- */

@media screen and (min-width: 64em) {
    .content {
        grid-column: 3 / 8;
        grid-row: 2 / 4;
        padding: 1em 1.5em;
    }
    .aside {
        grid-column: 8 / 11;
        grid-row: 2 / 4;
        padding: 1em 1.5em;
    }
    .nav {
        grid-column: 1 / 3;
        grid-row: 2 / 4;
    /*    background-color: #ff383f; */
    }
    .nav-ul {
        box-shadow: none;
        margin: 1em 0;
        padding: 0;
    }
    .nav-li {
        width: 100%;
        float: none;
        text-align: center;
    }
    .nav-li-a {
        padding: 0.5em 3rem;
        display: block;
    }
}


/*------------------------------------------------------------------- 
    Große Bildschirme (>1280 Pixel) 
      1280px / 16px/em = 80em
	    + 3 Spalten
          - Header oben
          - Navigation, Hauptinhalt und Seitenleisten nebeneinander
			* Zwei Artikel im Hauptinhalt nebeneinander
          - Fußleiste unten	
  -------------------------------------------------------------------- */

@media screen and (min-width: 80em) {
    .grid {
        margin: 0 auto;
        max-width: 80em;
    }
    .clear {
        clear: both;
    }
}